
QGIS Application - Bug report #8519

"layer stack" option in raster->miscellaneous->merge is badly named

2013-08-27 07:41 AM - Daniel Araujo Miranda

Status: Closed

Priority: Low

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17275

Description

Problem statement:

  The "layer stack" option in raster->miscellaneous->merge should probably have a different name.

Rationale:

  1.It does not correlate with the "-separate" option in gdal_merge command line

  2.the "layer" term is a bit misleading in the sense that you are stacking "bands", not "layers" (which, in the case of grayscale images, are

kind of the same)

  3.It is unchecked by default, so it should "catch the eye" of the user in case he/she intends to merge bands instead of mosaicing.

Suggestion:

  Change "layer stack" to something like one of the following:

   "merge bands" 

   "stack bands" 

   "use inputs as separate bands" 

   "merge as different bands" 

   "assign each input to a different band"

Real world issue:

I had a user complaint and reproduced the problem on a fresh qgis 1.8 windows installation on two different computers:

  'raster->miscellaneous->merge' outputs a grayscale raster with only one layer (the last of the three layers selected)

command executed was:

  gdal_merge.bat -of GTiff -o E:/output.tiff E:/camada1.tiff E:/camada2.tiff E:/camada3.tiff

Some weeks later I was preparing to file a bug when I had the idea of checking the "layer stack" option. The output was then correct.

Command executed was:

  gdal_merge.bat -separate -of GTiff -o E:/output.tiff E:/camada1.tiff E:/camada2.tiff E:/camada3.tiff

I admit I should have seen that much earlier, but checking the help (link to gdal_merge manpage) I did not see any hint

that that was the option I had to enable.

Associated revisions

Revision c69665be - 2016-05-24 06:47 PM - Alexander Bruy

[processing][gdaltools] reword merge option (fix #8519)

History

#1 - 2014-03-24 07:38 AM - Alexander Bruy

- Target version set to Future Release - Lower Priority

- Priority changed from Normal to Low
- Category set to GDAL Tools

#2 - 2016-05-24 09:47 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"c69665be927056908652b966728a6c98224b0032".
